com.here.msdkui.guidance

## Class GuidanceNextManeuverPresenter

- java.lang.Object
- - com.here.msdkui.guidance.base.BaseGuidancePresenter
  - - com.here.msdkui.guidance.GuidanceNextManeuverPresenter

-     public class GuidanceNextManeuverPresenter
      extends BaseGuidancePresenter

  A class that creates `GuidanceNextManeuverData` during guidance. This data can be fed into `GuidanceNextManeuverView` to inform the user about maneuver to take after current one. You must call resume() to start listening for guidance events. `GuidanceNextManeuverListener.onDataChanged(GuidanceNextManeuverData)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidanceNextManeuverPresenter(android.content.Context context, com.here.android.mpa.guidance.NavigationManager navigationManager, com.here.android.mpa.routing.Route route)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(GuidanceNextManeuverListener listener)` Adds a `GuidanceNextManeuverListener`.
    `protected int` | `getIcon(com.here.android.mpa.routing.Maneuver maneuver)` Gets the icon identifier for `Maneuver`.
    `void` | `handleManeuverEvent()` Called after resuming the presenter.
    `protected void` | `handleNewInstructionEvent()` Notifies on new instruction events generated by `NavigationManager`.
    `void` | `removeListener(GuidanceNextManeuverListener listener)` Remove a `GuidanceNextManeuverListener`.

    - ### Methods inherited from class com.here.msdkui.guidance.base.BaseGuidancePresenter

      `disableSpeedWarnings, enableSpeedWarnings, getAfterNextManeuver, getDestinationDistance, getEta, getNextManeuver, getNextManeuverDistance, getRoute, getTimeToArrival, handleGpsLost, handleGpsRestore, handlePositionUpdate, handleRerouteBegin, handleRerouteEnd, handleRerouteFailed, handleSpeedExceeded, handleSpeedExceededEnd, pause, resume, setRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidanceNextManeuverPresenter

          public GuidanceNextManeuverPresenter(android.content.Context context,
                                               com.here.android.mpa.guidance.NavigationManager navigationManager,
                                               com.here.android.mpa.routing.Route route)

      Constructs a new instance.
      Parameters:
        `context` - a `Context` to retrieve resources.
        `navigationManager` - a `NavigationManager` to be used for guidance handling.
        `route` - a route to be used for guidance.

  - ### Method Detail

    - #### handleManeuverEvent

          public void handleManeuverEvent()

      Description copied from class: `BaseGuidancePresenter`
      Called after resuming the presenter. Subclasses may override for custom needs.
      Overrides:
        `handleManeuverEvent` in class `BaseGuidancePresenter`

    - #### handleNewInstructionEvent

          protected void handleNewInstructionEvent()

      Description copied from class: `BaseGuidancePresenter`
      Notifies on new instruction events generated by `NavigationManager`. Subclasses may override the method if they are interested in the events forwarded by `NavigationManager.NewInstructionEventListener`.
      Overrides:
        `handleNewInstructionEvent` in class `BaseGuidancePresenter`

    - #### getIcon

          protected int getIcon(com.here.android.mpa.routing.Maneuver maneuver)

      Gets the icon identifier for `Maneuver`.
      Parameters:
        `maneuver` - the `Maneuver` to get the icon id from.
      Returns:
        the resource id of the icon.

    - #### addListener

          public void addListener(GuidanceNextManeuverListener listener)

      Adds a `GuidanceNextManeuverListener`.
      Parameters:
        `listener` - the listener to add to the list of listeners.

    - #### removeListener

          public void removeListener(GuidanceNextManeuverListener listener)

      Remove a `GuidanceNextManeuverListener`.
      Parameters:
        `listener` - the listener to remove from the list of listeners.